Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] main/dmenu: upgrade to 4.6 and claim maintainership

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 9 Nov 2015 11:57:02 +0100

---
 main/dmenu/APKBUILD          | 33 +++++++++++++++++++--------------
 main/dmenu/freetypeinc.patch | 12 ++++++++++++
 2 files changed, 31 insertions(+), 14 deletions(-)
 create mode 100644 main/dmenu/freetypeinc.patch
diff --git a/main/dmenu/APKBUILD b/main/dmenu/APKBUILD
index bedbdae..9ff394a 100644
--- a/main/dmenu/APKBUILD
+++ b/main/dmenu/APKBUILD
_at_@ -1,6 +1,7 @@
-# Maintainer: Eivind Uggedal <eivind_at_uggedal.com>
+# Contributor: Eivind Uggedal <eivind_at_uggedal.com>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 pkgname=dmenu
-pkgver=4.5
+pkgver=4.6
 pkgrel=0
 pkgdesc="Dynamic menu for X"
 url="http://tools.suckless.org/dmenu/"
_at_@ -12,27 +13,31 @@ makedepends="libx11-dev libxinerama-dev libxft-dev"
 install=""
 subpackages="$pkgname-doc"
 source="http://dl.suckless.org/tools/$pkgname-$pkgver.tar.gz
-	http://tools.suckless.org/$pkgname/patches/$pkgname-$pkgver-xft-debian.diff"
+	freetypeinc.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
+	local i
 	cd "$_builddir"
-	patch -p1 -i "$srcdir"/$pkgname-$pkgver-xft-debian.diff
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
 }
 
 build() {
-	cd "$_builddir"
-	make
+	make -C "$_builddir" || return 1
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR=$pkgdir PREFIX=/usr install
+	make DESTDIR=$pkgdir PREFIX=/usr \
+		-C "$_builddir" install
 }
 
-md5sums="9c46169ed703732ec52ed946c27d84b4  dmenu-4.5.tar.gz
-0c73d595eb78f159bea83f33bba15e80  dmenu-4.5-xft-debian.diff"
-sha256sums="082cd698d82125ca0b3989006fb84ac4675c2a5585bf5bb8af0ea09cfb95a850  dmenu-4.5.tar.gz
-da72bb93d2aa06139bbb53826c50285e754543c19e7945a7f30de4d3b43425b1  dmenu-4.5-xft-debian.diff"
-sha512sums="872dee68c35a93c663eb0a941653eaaa4aa83d8379e05b4dbca089a2c9335036b496de85d8ddf7af1228a5625490a06a89031fb1aac726236b608b952962c248  dmenu-4.5.tar.gz
-759c6a3a46479e7bd47d208fcc7ee76622ebd79f82ecf4fe8120af17a2fcb295009da8687acc4c348072bec8cc5639dfaee01d4bcae5c6e979c85f33c9f4a45f  dmenu-4.5-xft-debian.diff"
+md5sums="6fedf081133bc0725cb040b3b8ac3fac  dmenu-4.6.tar.gz
+9b53d204b009bc23ffc22b615f719eb3  freetypeinc.patch"
+sha256sums="4a7a24008a621c3cd656155ad91ab8136db8f0d3b9ec56dafeec518cabda96b3  dmenu-4.6.tar.gz
+6229575db4eb0e79ca8399c6eebb0e9467208f30b7ae23f578733e7442a942b8  freetypeinc.patch"
+sha512sums="e54fd10c0b1274eb90173aea442f0bfc496f4dda861a36d94f939e1fd835594f9aa12f3d0f90043d64e519d919b9a5273ab65012230ac022f727ee6bb64862e3  dmenu-4.6.tar.gz
+607485a9e1a8c338255ecbf9fc22db6560f40c3692f80b43a89517e34b4819386d1c91c58346e6dc46f1c393c4d888e0012cf374f803e04ab381010bedb08647  freetypeinc.patch"
diff --git a/main/dmenu/freetypeinc.patch b/main/dmenu/freetypeinc.patch
new file mode 100644
index 0000000..758a58d
--- /dev/null
+++ b/main/dmenu/freetypeinc.patch
_at_@ -0,0 +1,12 @@
+diff -upr dmenu-4.6.orig/config.mk dmenu-4.6/config.mk
+--- dmenu-4.6.orig/config.mk	2015-11-09 11:55:46.363880396 +0100
++++ dmenu-4.6/config.mk	2015-11-09 11:55:57.450509604 +0100
+_at_@ -15,8 +15,6 @@ XINERAMAFLAGS = -DXINERAMA
+ # freetype
+ FREETYPELIBS = -lfontconfig -lXft
+ FREETYPEINC = /usr/include/freetype2
+-# OpenBSD (uncomment)
+-FREETYPEINC = ${X11INC}/freetype2
+ 
+ # includes and libs
+ INCS = -I${X11INC} -I${FREETYPEINC}
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 09 2015 - 11:57:02 GMT